
/**

 * @version 1.0
 */
package org.avmdti.josast.util;

public class StringtoByte {

  static final byte ZERO = new String("0").getBytes()[0];

  public StringtoByte() {
  }



  public byte convert (String S)
    {

    byte[] tmp = S.getBytes();
    byte v1 = (byte)( tmp[0]-ZERO);
    byte v2 = (byte)(tmp[1]-ZERO);
    byte res = (byte) (v1*16 + v2);
    return (res);
    }
  }
